*** a/doc/src/sgml/ref/create_table.sgml
--- b/doc/src/sgml/ref/create_table.sgml
***************
*** 1316,1323 **** WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
  
     <variablelist>
  
!    <varlistentry>
!     <term><literal>fillfactor</literal> (<type>integer</type>)</term>
      <listitem>
       <para>
        The fillfactor for a table is a percentage between 10 and 100.
--- 1316,1327 ----
  
     <variablelist>
  
!     <varlistentry id="reloption-fillfactor" xreflabel="fillfactor">
!     <term><varname>fillfactor</varname> (<type>integer</type>)
!     <indexterm>
!      <primary><varname>fillfactor</varname> configuration parameter</primary>
!     </indexterm>
!     </term>
      <listitem>
       <para>
        The fillfactor for a table is a percentage between 10 and 100.
***************
*** 1334,1341 **** WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
      </listitem>
     </varlistentry>
  
!    <varlistentry>
!     <term><literal>toast_tuple_target</literal> (<type>integer</type>)</term>
      <listitem>
       <para>
        The toast_tuple_target specifies the minimum tuple length required before
--- 1338,1349 ----
      </listitem>
     </varlistentry>
  
!    <varlistentry id="reloption-toast-tuple-target" xreflabel="toast_tuple_target">
!     <term><literal>toast_tuple_target</literal> (<type>integer</type>)
!     <indexterm>
!      <primary><varname>toast_tuple_target</varname> configuration parameter</primary>
!     </indexterm>
!     </term>
      <listitem>
       <para>
        The toast_tuple_target specifies the minimum tuple length required before
***************
*** 1355,1362 **** WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
      </listitem>
     </varlistentry>
  
!    <varlistentry>
!     <term><literal>parallel_workers</literal> (<type>integer</type>)</term>
      <listitem>
       <para>
        This sets the number of workers that should be used to assist a parallel
--- 1363,1374 ----
      </listitem>
     </varlistentry>
  
!    <varlistentry id="reloption-parallel-workers" xreflabel="parallel_workers">
!     <term><literal>parallel_workers</literal> (<type>integer</type>)
!      <indexterm>
!      <primary><varname>parallel_workers</varname> configuration parameter</primary>
!     </indexterm>
!     </term>
      <listitem>
       <para>
        This sets the number of workers that should be used to assist a parallel
***************
*** 1368,1375 **** WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
      </listitem>
     </varlistentry>
  
!    <varlistentry>
!     <term><literal>autovacuum_enabled</literal>, <literal>toast.autovacuum_enabled</literal> (<type>boolean</type>)</term>
      <listitem>
       <para>
       Enables or disables the autovacuum daemon for a particular table.
--- 1380,1391 ----
      </listitem>
     </varlistentry>
  
!    <varlistentry id="reloption-autovacuum-enabled" xreflabel="autovacuum_enabled">
!     <term><literal>autovacuum_enabled</literal>, <literal>toast.autovacuum_enabled</literal> (<type>boolean</type>)
!     <indexterm>
!      <primary><varname>autovacuum_enabled</varname> configuration parameter</primary>
!     </indexterm>
!     </term>
      <listitem>
       <para>
       Enables or disables the autovacuum daemon for a particular table.
***************
*** 1389,1396 **** WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
      </listitem>
     </varlistentry>
  
!    <varlistentry>
!     <term><literal>vacuum_index_cleanup</literal> (<type>boolean</type>)</term>
      <listitem>
       <para>
        Enables or disables index cleanup when <command>VACUUM</command> is
--- 1405,1416 ----
      </listitem>
     </varlistentry>
  
!    <varlistentry id="reloption-vacuum-index-cleanup" xreflabel="vacuum_index_cleanup">
!     <term><literal>vacuum_index_cleanup</literal> (<type>boolean</type>)
!     <indexterm>
!      <primary><varname>vacuum_index_cleanup</varname> configuration parameter</primary>
!     </indexterm>
!     </term>
      <listitem>
       <para>
        Enables or disables index cleanup when <command>VACUUM</command> is
***************
*** 1404,1411 **** WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
      </listitem>
     </varlistentry>
  
!    <varlistentry>
!     <term><literal>vacuum_truncate</literal>, <literal>toast.vacuum_truncate</literal> (<type>boolean</type>)</term>
      <listitem>
       <para>
        Enables or disables vacuum to try to truncate off any empty pages
--- 1424,1435 ----
      </listitem>
     </varlistentry>
  
!    <varlistentry id="reloption-vacuum-truncate" xreflabel="vacuum_truncate">
!     <term><literal>vacuum_truncate</literal>, <literal>toast.vacuum_truncate</literal> (<type>boolean</type>)
!     <indexterm>
!      <primary><varname>vacuum_truncate</varname> configuration parameter</primary>
!     </indexterm>
!     </term>
      <listitem>
       <para>
        Enables or disables vacuum to try to truncate off any empty pages
***************
*** 1419,1426 **** WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
      </listitem>
     </varlistentry>
  
!    <varlistentry>
!     <term><literal>autovacuum_vacuum_threshold</literal>, <literal>toast.autovacuum_vacuum_threshold</literal> (<type>integer</type>)</term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-autovacuum-vacuum-threshold"/>
--- 1443,1454 ----
      </listitem>
     </varlistentry>
  
!    <varlistentry id="reloption-autovacuum-vacuum-threshold" xreflabel="autovacuum_vacuum_threshold">
!     <term><literal>autovacuum_vacuum_threshold</literal>, <literal>toast.autovacuum_vacuum_threshold</literal> (<type>integer</type>)
!     <indexterm>
!      <primary><varname>autovacuum_vacuum_threshold</varname> configuration parameter</primary>
!       </indexterm>
!     </term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-autovacuum-vacuum-threshold"/>
***************
*** 1429,1436 **** WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
      </listitem>
     </varlistentry>
  
!    <varlistentry>
!     <term><literal>autovacuum_vacuum_scale_factor</literal>, <literal>toast.autovacuum_vacuum_scale_factor</literal> (<type>float4</type>)</term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-autovacuum-vacuum-scale-factor"/>
--- 1457,1468 ----
      </listitem>
     </varlistentry>
  
!    <varlistentry id="reloption-autovacuum-vauum-scale-factor" xreflabel="autovacuum_vacuum_scale_factor">
!     <term><literal>autovacuum_vacuum_scale_factor</literal>, <literal>toast.autovacuum_vacuum_scale_factor</literal> (<type>float4</type>)
!     <indexterm>
!      <primary><varname>autovacuum_vacuum_scale_factor</varname>  configuration parameter</primary>
!     </indexterm>
!     </term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-autovacuum-vacuum-scale-factor"/>
***************
*** 1439,1446 **** WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
      </listitem>
     </varlistentry>
  
!    <varlistentry>
!     <term><literal>autovacuum_analyze_threshold</literal> (<type>integer</type>)</term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-autovacuum-analyze-threshold"/>
--- 1471,1482 ----
      </listitem>
     </varlistentry>
  
!    <varlistentry id="reloption-autovacuum-analyze-threshold" xreflabel="autovacuum_analyze_threshold">
!     <term><literal>autovacuum_analyze_threshold</literal> (<type>integer</type>)
!     <indexterm>
!      <primary><varname>autovacuum_analyze_threshold</varname> configuration parameter</primary>
!     </indexterm>
!     </term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-autovacuum-analyze-threshold"/>
***************
*** 1449,1456 **** WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
      </listitem>
     </varlistentry>
  
!    <varlistentry>
!     <term><literal>autovacuum_analyze_scale_factor</literal> (<type>float4</type>)</term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-autovacuum-analyze-scale-factor"/>
--- 1485,1496 ----
      </listitem>
     </varlistentry>
  
!    <varlistentry id="reloption-autovacuum-analyze-scale-factor" xreflabel="autovacuum_analyze_scale_factor">
!     <term><literal>autovacuum_analyze_scale_factor</literal> (<type>float4</type>)
!     <indexterm>
!      <primary><varname>autovacuum_analyze_scale_factor</varname> configuration parameter</primary>
!     </indexterm>
!     </term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-autovacuum-analyze-scale-factor"/>
***************
*** 1459,1466 **** WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
      </listitem>
     </varlistentry>
  
!    <varlistentry>
!     <term><literal>autovacuum_vacuum_cost_delay</literal>, <literal>toast.autovacuum_vacuum_cost_delay</literal> (<type>floating point</type>)</term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-autovacuum-vacuum-cost-delay"/>
--- 1499,1510 ----
      </listitem>
     </varlistentry>
  
!    <varlistentry id="reloption-autovacuum-vacuum-cost-delay" xreflabel="autovacuum_vacuum_cost_delay">
!     <term><literal>autovacuum_vacuum_cost_delay</literal>, <literal>toast.autovacuum_vacuum_cost_delay</literal> (<type>floating point</type>)
!     <indexterm>
!      <primary><varname>autovacuum_vacuum_cost_delay</varname> configuration parameter</primary>
!     </indexterm>
!     </term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-autovacuum-vacuum-cost-delay"/>
***************
*** 1469,1476 **** WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
      </listitem>
     </varlistentry>
  
!    <varlistentry>
!     <term><literal>autovacuum_vacuum_cost_limit</literal>, <literal>toast.autovacuum_vacuum_cost_limit</literal> (<type>integer</type>)</term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-autovacuum-vacuum-cost-limit"/>
--- 1513,1524 ----
      </listitem>
     </varlistentry>
  
!    <varlistentry id="reloption-autovacuum-vauum-cost-limit" xreflabel="autovacuum_vacuum_cost_limit">
!     <term><literal>autovacuum_vacuum_cost_limit</literal>, <literal>toast.autovacuum_vacuum_cost_limit</literal> (<type>integer</type>)
!     <indexterm>
!      <primary><varname>autovacuum_vacuum_cost_limit</varname> configuration parameter</primary>
!       </indexterm>
!     </term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-autovacuum-vacuum-cost-limit"/>
***************
*** 1479,1486 **** WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
      </listitem>
     </varlistentry>
  
!    <varlistentry>
!     <term><literal>autovacuum_freeze_min_age</literal>, <literal>toast.autovacuum_freeze_min_age</literal> (<type>integer</type>)</term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-vacuum-freeze-min-age"/>
--- 1527,1538 ----
      </listitem>
     </varlistentry>
  
!    <varlistentry id="reloption-autovacuum-freeze-min-age" xreflabel="autovacuum_freeze_min_age">
!     <term><literal>autovacuum_freeze_min_age</literal>, <literal>toast.autovacuum_freeze_min_age</literal> (<type>integer</type>)
!     <indexterm>
!      <primary><varname>autovacuum_freeze_min_age</varname> configuration parameter</primary>
!     </indexterm>
!     </term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-vacuum-freeze-min-age"/>
***************
*** 1492,1499 **** WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
      </listitem>
     </varlistentry>
  
!    <varlistentry>
!     <term><literal>autovacuum_freeze_max_age</literal>, <literal>toast.autovacuum_freeze_max_age</literal> (<type>integer</type>)</term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-autovacuum-freeze-max-age"/>
--- 1544,1555 ----
      </listitem>
     </varlistentry>
  
!    <varlistentry id="reloption-autovacuum-freeze-max-age" xreflabel="autovacuum_freeze_max_age">
!     <term><literal>autovacuum_freeze_max_age</literal>, <literal>toast.autovacuum_freeze_max_age</literal> (<type>integer</type>)
!     <indexterm>
!      <primary><varname>autovacuum_freeze_max_age</varname> configuration parameter</primary>
!     </indexterm>
!     </term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-autovacuum-freeze-max-age"/>
***************
*** 1504,1511 **** WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
      </listitem>
     </varlistentry>
  
!    <varlistentry>
!     <term><literal>autovacuum_freeze_table_age</literal>, <literal>toast.autovacuum_freeze_table_age</literal> (<type>integer</type>)</term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-vacuum-freeze-table-age"/>
--- 1560,1571 ----
      </listitem>
     </varlistentry>
  
!    <varlistentry id="reloption-autovacuum-freeze-table-age" xreflabel="autovacuum_freeze_table_age">
!     <term><literal>autovacuum_freeze_table_age</literal>, <literal>toast.autovacuum_freeze_table_age</literal> (<type>integer</type>)
!     <indexterm>
!      <primary><varname>autovacuum_freeze_table_age</varname> configuration parameter</primary>
!     </indexterm>
!     </term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-vacuum-freeze-table-age"/>
***************
*** 1514,1521 **** WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
      </listitem>
     </varlistentry>
  
!    <varlistentry>
!     <term><literal>autovacuum_multixact_freeze_min_age</literal>, <literal>toast.autovacuum_multixact_freeze_min_age</literal> (<type>integer</type>)</term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-vacuum-multixact-freeze-min-age"/>
--- 1574,1585 ----
      </listitem>
     </varlistentry>
  
!    <varlistentry id="reloption-autovacuum-multixact-freeze-min-age" xreflabel="autovacuum_multixact_freeze_min_age">
!     <term><literal>autovacuum_multixact_freeze_min_age</literal>, <literal>toast.autovacuum_multixact_freeze_min_age</literal> (<type>integer</type>)
!     <indexterm>
!      <primary><varname>autovacuum_multixact_freeze_min_age</varname> configuration parameter</primary>
!     </indexterm>
!     </term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-vacuum-multixact-freeze-min-age"/>
***************
*** 1528,1535 **** WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
      </listitem>
     </varlistentry>
  
!    <varlistentry>
!     <term><literal>autovacuum_multixact_freeze_max_age</literal>, <literal>toast.autovacuum_multixact_freeze_max_age</literal> (<type>integer</type>)</term>
      <listitem>
       <para>
        Per-table value
--- 1592,1603 ----
      </listitem>
     </varlistentry>
  
!    <varlistentry id="reloption-autovacuum-multixact-freeze-max-age" xreflabel="autovacuum_multixact_freeze_max_age">
!     <term><literal>autovacuum_multixact_freeze_max_age</literal>, <literal>toast.autovacuum_multixact_freeze_max_age</literal> (<type>integer</type>)
!     <indexterm>
!      <primary><varname>autovacuum_multixact_freeze_max_age</varname> configuration parameter</primary>
!     </indexterm>
!     </term>
      <listitem>
       <para>
        Per-table value
***************
*** 1542,1549 **** WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
      </listitem>
     </varlistentry>
  
!    <varlistentry>
!     <term><literal>autovacuum_multixact_freeze_table_age</literal>, <literal>toast.autovacuum_multixact_freeze_table_age</literal> (<type>integer</type>)</term>
      <listitem>
       <para>
        Per-table value
--- 1610,1621 ----
      </listitem>
     </varlistentry>
  
!    <varlistentry id="reloption-autovacuum-multixact-freeze-table-age" xreflabel="autovacuum_multixact_freeze_table_age">
!     <term><literal>autovacuum_multixact_freeze_table_age</literal>, <literal>toast.autovacuum_multixact_freeze_table_age</literal> (<type>integer</type>)
!     <indexterm>
!      <primary><varname>autovacuum_multixact_freeze_table_age</varname> configuration parameter</primary>
!     </indexterm>
!     </term>
      <listitem>
       <para>
        Per-table value
***************
*** 1552,1559 **** WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
      </listitem>
     </varlistentry>
  
!    <varlistentry>
!     <term><literal>log_autovacuum_min_duration</literal>, <literal>toast.log_autovacuum_min_duration</literal> (<type>integer</type>)</term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-log-autovacuum-min-duration"/>
--- 1624,1635 ----
      </listitem>
     </varlistentry>
  
!    <varlistentry id="reloption-log-autovacuum-min-duration" xreflabel="log_autovacuum_min_duration">
!     <term><literal>log_autovacuum_min_duration</literal>, <literal>toast.log_autovacuum_min_duration</literal> (<type>integer</type>)
!     <indexterm>
!      <primary><varname>log_autovacuum_min_duration</varname> configuration parameter</primary>
!     </indexterm>
!     </term>
      <listitem>
       <para>
        Per-table value for <xref linkend="guc-log-autovacuum-min-duration"/>
***************
*** 1562,1569 **** WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
      </listitem>
     </varlistentry>
  
!    <varlistentry>
!     <term><literal>user_catalog_table</literal> (<type>boolean</type>)</term>
      <listitem>
       <para>
        Declare the table as an additional catalog table for purposes of
--- 1638,1649 ----
      </listitem>
     </varlistentry>
  
!    <varlistentry id="reloption-user-catalog-table" xreflabel="user_catalog_table">
!     <term><literal>user_catalog_table</literal> (<type>boolean</type>)
!     <indexterm>
!      <primary><varname>user_catalog_table</varname> configuration parameter</primary>
!     </indexterm>
!     </term>
      <listitem>
       <para>
        Declare the table as an additional catalog table for purposes of
